import request from '@/utils/request'

// 获取本人创建的推广码
export function appListShareCode(params) {
  return request({
    url: '/app/shareCode/list',
    method: 'get',
    params
  })
}

// 用户创建推广码
export function appAddShareCode(data) {
  return request({
    url: '/app/shareCode',
    method: 'post',
    data
  })
}

// 用户删除推广码
export function appDeleteShareCode(id) {
  return request({
    url: `/app/shareCode/${id}`,
    method: 'delete'
  })
}
